Loading...
Searching...
No Matches
obround.c File Reference
`#include "arc/math/obround.h"`

Go to the source code of this file.

## Functions

ARC_FObround | ARC_Obround_CastToFObround (ARC_Obround *obround)
| casts Obround to FObround
ARC_Obround | ARC_FObround_CastToObround (ARC_FObround *obround)
| casts FObround to Obround

## Function Documentation

## ARC_FObround_CastToObround()

ARC_Obround ARC_FObround_CastToObround | ( | ARC_FObround * | obround | ) |

casts FObround to Obround

Parameters

  obround | ARC_FObround to be casted

Returns
  ARC_Obround

Definition at line 12 of file obround.c.

{
return (ARC_Obround){
.x = (int32_t)obround->x,
.y = (int32_t)obround->y,
.r = (int32_t)obround->r,
.h = (int32_t)obround->h
};
}
ARC_FObround::y
float y
Definition obround.h:19
ARC_FObround::h
float h
Definition obround.h:21
ARC_FObround::x
float x
Definition obround.h:18
ARC_FObround::r
float r
Definition obround.h:20
ARC_Obround
Definition obround.h:10

References ARC_FObround::h, ARC_FObround::r, ARC_FObround::x, and ARC_FObround::y.

Referenced by ARC_FObround_Render().

## ARC_Obround_CastToFObround()

ARC_FObround ARC_Obround_CastToFObround | ( | ARC_Obround * | obround | ) |

casts Obround to FObround

Parameters

  obround | ARC_Obround to be casted

Returns
  ARC_FObround

Definition at line 3 of file obround.c.

{
return (ARC_FObround){
.x = (float)obround->x,
.y = (float)obround->y,
.r = (float)obround->r,
.h = (float)obround->h
};
}
ARC_FObround
Definition obround.h:17
ARC_Obround::r
int32_t r
Definition obround.h:13
ARC_Obround::x
int32_t x
Definition obround.h:11
ARC_Obround::y
int32_t y
Definition obround.h:12
ARC_Obround::h
int32_t h
Definition obround.h:14

References ARC_Obround::h, ARC_Obround::r, ARC_Obround::x, and ARC_Obround::y.